/*===========================================================================*/
/*   (Object/wide-access.scm)                                                */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Object/wide-access.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
   obj_t BgL_widezd2typezd2;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_wclassz00_bgl {
   obj_t BgL_itszd2classzd2;
} *BgL_wclassz00_bglt;

typedef struct BgL_slotz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_srcz00;
   obj_t BgL_classzd2ownerzd2;
   obj_t BgL_typez00;
   bool_t BgL_readzd2onlyzf3z21;
   obj_t BgL_defaultzd2valuezd2;
   obj_t BgL_virtualzd2numzd2;
   obj_t BgL_getterz00;
   obj_t BgL_setterz00;
   obj_t BgL_indexedz00;
   obj_t BgL_userzd2infozd2;
} *BgL_slotz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzobject_widezd2accesszd2();
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl__heapzd2widezd2classzd2accessorsz122231zc0zzobject_widezd2accesszd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
static obj_t BGl__importzd2widezd2classzd2accessorsz122229zc0zzobject_widezd2accesszd2(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt, obj_t, obj_t);
static obj_t BGl_correctzd2widezd2classzf3zf3zzobject_widezd2accesszd2(BgL_tclassz00_bglt, obj_t);
extern obj_t BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_typez00zztype_typez00;
extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
static obj_t BGl__genzd2widezd2classzd2accessorsz122227zc0zzobject_widezd2accesszd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzobject_widezd2accesszd2();
extern obj_t BGl_genzd2widezd2classzd2creatorszd2zzobject_creatorz00(BgL_tclassz00_bglt, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzobject_widezd2accesszd2();
extern obj_t BGl_genzd2widezd2classzc3zd2ze3structzf2zzobject_structz00(BgL_typez00_bglt, obj_t);
extern obj_t BGl_importzd2widezd2classzd2creatorszd2zzobject_creatorz00(BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_makezd2classzd2slotsz00zzobject_slotsz00(BgL_tclassz00_bglt, obj_t, obj_t, int, obj_t);
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
extern bool_t BGl_finalzd2classzf3z21zzobject_classz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzobject_widezd2accesszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_structz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_getterz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_creatorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_predicatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_coercionz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_genzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(obj_t, BgL_tclassz00_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_heapzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(BgL_tclassz00_bglt);
extern obj_t BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00(BgL_tclassz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_importzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(obj_t, BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_tclassz00_bglt, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzobject_widezd2accesszd2 = BUNSPEC;
static obj_t BGl_setzd2widezd2classzd2slotsz12zc0zzobject_widezd2accesszd2(obj_t, obj_t, BgL_tclassz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzobject_widezd2accesszd2();
static obj_t __cnst[ 1 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_heapzd2widezd2classzd2accessorsz12zd2envz12zzobject_widezd2accesszd2, BgL_bgl__heapza7d2wideza7d2classza7d2accessorsza7122231za7c0za7za7object_wideza7d2accessza7d22330za7, BGl__heapzd2widezd2classzd2accessorsz122231zc0zzobject_widezd2accesszd2, 0L, 1 );
DEFINE_STRING( BGl_string2299z00zzobject_widezd2accesszd2, BgL_bgl_string2299za700za7za7object_wideza7d2accessza7d22331za7, "A class can't be `wide' and `final'", 35 );
DEFINE_STRING( BGl_string2298z00zzobject_widezd2accesszd2, BgL_bgl_string2298za700za7za7object_wideza7d2accessza7d22332za7, "' is a wide class", 17 );
DEFINE_STRING( BGl_string2297z00zzobject_widezd2accesszd2, BgL_bgl_string2297za700za7za7object_wideza7d2accessza7d22333za7, "' is not a class", 16 );
DEFINE_STRING( BGl_string2296z00zzobject_widezd2accesszd2, BgL_bgl_string2296za700za7za7object_wideza7d2accessza7d22334za7, "super of `", 10 );
DEFINE_STRING( BGl_string2304z00zzobject_widezd2accesszd2, BgL_bgl_string2304za700za7za7object_wideza7d2accessza7d22335za7, "(no def found) ", 15 );
DEFINE_STRING( BGl_string2303z00zzobject_widezd2accesszd2, BgL_bgl_string2303za700za7za7object_wideza7d2accessza7d22336za7, "Should not be able to see a plain class here", 44 );
DEFINE_STRING( BGl_string2302z00zzobject_widezd2accesszd2, BgL_bgl_string2302za700za7za7object_wideza7d2accessza7d22337za7, "correct-wide-class?", 19 );
DEFINE_STRING( BGl_string2301z00zzobject_widezd2accesszd2, BgL_bgl_string2301za700za7za7object_wideza7d2accessza7d22338za7, "' is not a final class", 22 );
DEFINE_STRING( BGl_string2300z00zzobject_widezd2accesszd2, BgL_bgl_string2300za700za7za7object_wideza7d2accessza7d22339za7, "super of wide class `", 21 );
DEFINE_EXPORT_PROCEDURE( BGl_genzd2widezd2classzd2accessorsz12zd2envz12zzobject_widezd2accesszd2, BgL_bgl__genza7d2wideza7d2classza7d2accessorsza7122227za7c0za7za7object_wideza7d2accessza7d22340za7, BGl__genzd2widezd2classzd2accessorsz122227zc0zzobject_widezd2accesszd2, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_importzd2widezd2classzd2accessorsz12zd2envz12zzobject_widezd2accesszd2, BgL_bgl__importza7d2wideza7d2classza7d2accessorsza7122229za7c0za7za7object_wideza7d2accessza7d22341za7, BGl__importzd2widezd2classzd2accessorsz122229zc0zzobject_widezd2accesszd2, 0L, 4 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_widezd2accesszd2(long BgL_checksumz00_676, char * BgL_fromz00_677)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzobject_widezd2accesszd2))
{ 
BGl_requirezd2initializa7ationz75zzobject_widezd2accesszd2 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzobject_widezd2accesszd2(); 
BGl_cnstzd2initzd2zzobject_widezd2accesszd2(); 
BGl_importedzd2moduleszd2initz00zzobject_widezd2accesszd2(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzobject_widezd2accesszd2()
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 21 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "object_wide-access"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzobject_widezd2accesszd2()
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 21 */
{ /* ./Object/wide-access.scm 21 */
obj_t BgL_cportz00_669;
BgL_cportz00_669 = 
open_input_string(BGl_string2304z00zzobject_widezd2accesszd2); 
{ 
long BgL_iz00_670;
BgL_iz00_670 = ((long)0); 
BgL_loopz00_671:
{ /* ./Object/wide-access.scm 21 */
bool_t BgL_test2306z00_672;
BgL_test2306z00_672 = 
(BgL_iz00_670==((long)-1)); 
if(BgL_test2306z00_672)
{ /* ./Object/wide-access.scm 21 */
return BUNSPEC;}  else 
{ /* ./Object/wide-access.scm 21 */
{ /* ./Object/wide-access.scm 21 */
obj_t BgL_arg2308z00_673;
{ /* ./Object/wide-access.scm 21 */
obj_t BgL_list2311z00_674;
BgL_list2311z00_674 = 
MAKE_PAIR(BgL_cportz00_669, BNIL); 
BgL_arg2308z00_673 = 
BGl_readz00zz__readerz00(BgL_list2311z00_674); } 
{ /* ./Object/wide-access.scm 21 */
int BgL_auxz00_692;
BgL_auxz00_692 = 
(int)(BgL_iz00_670); 
CNST_TABLE_SET(BgL_auxz00_692, BgL_arg2308z00_673); } } 
{ /* ./Object/wide-access.scm 21 */
int BgL_auxz00_675;
{ /* ./Object/wide-access.scm 21 */
long BgL_auxz00_695;
BgL_auxz00_695 = 
(BgL_iz00_670-((long)1)); 
BgL_auxz00_675 = 
(int)(BgL_auxz00_695); } 
{ 
long BgL_iz00_698;
BgL_iz00_698 = 
(long)(BgL_auxz00_675); 
BgL_iz00_670 = BgL_iz00_698; 
goto BgL_loopz00_671;} } } } } } } 
}



/* gen-wide-class-accessors! */
BGL_EXPORTED_DEF obj_t BGl_genzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(obj_t BgL_classzd2defzd2_1, BgL_tclassz00_bglt BgL_classz00_2, obj_t BgL_srczd2defzd2_3, obj_t BgL_importz00_4)
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 50 */
{ /* ./Object/wide-access.scm 52 */
bool_t BgL_test1902z00_379;
{ /* ./Object/wide-access.scm 52 */
obj_t BgL_auxz00_700;
BgL_auxz00_700 = 
BGl_correctzd2widezd2classzf3zf3zzobject_widezd2accesszd2(BgL_classz00_2, BgL_srczd2defzd2_3); 
BgL_test1902z00_379 = 
CBOOL(BgL_auxz00_700); } 
if(BgL_test1902z00_379)
{ /* ./Object/wide-access.scm 52 */
BGl_setzd2widezd2classzd2slotsz12zc0zzobject_widezd2accesszd2(BgL_classzd2defzd2_1, BgL_srczd2defzd2_3, BgL_classz00_2); 
BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(
(obj_t)(BgL_classz00_2)); 
{ /* ./Object/wide-access.scm 61 */
obj_t BgL_creatsz00_381;obj_t BgL_structsz00_382;obj_t BgL_predicatez00_383;
BgL_creatsz00_381 = 
BGl_genzd2widezd2classzd2creatorszd2zzobject_creatorz00(BgL_classz00_2, BgL_srczd2defzd2_3, BgL_importz00_4); 
BgL_structsz00_382 = 
BGl_genzd2widezd2classzc3zd2ze3structzf2zzobject_structz00(
(BgL_typez00_bglt)(BgL_classz00_2), BgL_srczd2defzd2_3); 
BgL_predicatez00_383 = 
BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_classz00_2, BgL_srczd2defzd2_3, BgL_importz00_4); 
{ /* ./Object/wide-access.scm 64 */
obj_t BgL_fieldsz00_384;
BgL_fieldsz00_384 = 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_classz00_2, 
(obj_t)(BgL_classz00_2), 
(obj_t)(BgL_classz00_2), BgL_srczd2defzd2_3); 
{ /* ./Object/wide-access.scm 66 */
obj_t BgL_virtualsz00_385;
{ /* ./Object/wide-access.scm 66 */
int BgL_nz00_612;
BgL_nz00_612 = 
(int)(((long)1)); 
BgL_virtualsz00_385 = 
BGL_MVALUES_VAL(BgL_nz00_612); } 
{ /* ./Object/wide-access.scm 66 */
obj_t BgL_superzd2fieldszd2_386;
{ /* ./Object/wide-access.scm 67 */
obj_t BgL_arg1925z00_394;
{ 
obj_t BgL_auxz00_716;
{ /* ./Object/wide-access.scm 67 */
BgL_objectz00_bglt BgL_auxz00_717;
BgL_auxz00_717 = 
(BgL_objectz00_bglt)(BgL_classz00_2); 
BgL_auxz00_716 = 
BGL_OBJECT_WIDENING(BgL_auxz00_717); } 
BgL_arg1925z00_394 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_716))->BgL_itszd2superzd2); } 
BgL_superzd2fieldszd2_386 = 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_classz00_2, BgL_arg1925z00_394, BFALSE, BgL_srczd2defzd2_3); } 
{ /* ./Object/wide-access.scm 68 */
obj_t BgL_superzd2virtualszd2_387;
{ /* ./Object/wide-access.scm 68 */
int BgL_nz00_614;
BgL_nz00_614 = 
(int)(((long)1)); 
BgL_superzd2virtualszd2_387 = 
BGL_MVALUES_VAL(BgL_nz00_614); } 
{ /* ./Object/wide-access.scm 68 */
obj_t BgL_val0_1888z00_388;obj_t BgL_val1_1889z00_389;
BgL_val0_1888z00_388 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_predicatez00_383, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_structsz00_382, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_creatsz00_381, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_superzd2fieldszd2_386, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_fieldsz00_384, BNIL))))); 
BgL_val1_1889z00_389 = 
bgl_append2(BgL_superzd2virtualszd2_387, BgL_virtualsz00_385); 
{ /* ./Object/wide-access.scm 68 */
int BgL_nz00_615;
BgL_nz00_615 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_nz00_615); } 
{ /* ./Object/wide-access.scm 68 */
int BgL_nz00_616;
BgL_nz00_616 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_nz00_616, BgL_val1_1889z00_389); } 
return BgL_val0_1888z00_388;} } } } } } }  else 
{ /* ./Object/wide-access.scm 52 */
{ /* ./Object/wide-access.scm 71 */
int BgL_nz00_618;
BgL_nz00_618 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_nz00_618); } 
{ /* ./Object/wide-access.scm 71 */
int BgL_nz00_619;
BgL_nz00_619 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_nz00_619, BNIL); } 
return BNIL;} } } 
}



/* _gen-wide-class-accessors!2227 */
obj_t BGl__genzd2widezd2classzd2accessorsz122227zc0zzobject_widezd2accesszd2(obj_t BgL_envz00_657, obj_t BgL_classzd2defzd2_658, obj_t BgL_classz00_659, obj_t BgL_srczd2defzd2_660, obj_t BgL_importz00_661)
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 50 */
return 
BGl_genzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(BgL_classzd2defzd2_658, 
(BgL_tclassz00_bglt)(BgL_classz00_659), BgL_srczd2defzd2_660, BgL_importz00_661);} 
}



/* import-wide-class-accessors! */
BGL_EXPORTED_DEF obj_t BGl_importzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(obj_t BgL_classzd2defzd2_5, BgL_tclassz00_bglt BgL_classz00_6, obj_t BgL_srczd2defzd2_7, obj_t BgL_modulez00_8)
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 76 */
{ /* ./Object/wide-access.scm 78 */
bool_t BgL_test1936z00_397;
{ /* ./Object/wide-access.scm 78 */
obj_t BgL_auxz00_740;
BgL_auxz00_740 = 
BGl_correctzd2widezd2classzf3zf3zzobject_widezd2accesszd2(BgL_classz00_6, BgL_srczd2defzd2_7); 
BgL_test1936z00_397 = 
CBOOL(BgL_auxz00_740); } 
if(BgL_test1936z00_397)
{ /* ./Object/wide-access.scm 78 */
BGl_setzd2widezd2classzd2slotsz12zc0zzobject_widezd2accesszd2(BgL_classzd2defzd2_5, BgL_srczd2defzd2_7, BgL_classz00_6); 
BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(
(obj_t)(BgL_classz00_6)); 
{ /* ./Object/wide-access.scm 87 */
obj_t BgL_creatsz00_399;obj_t BgL_predicatez00_400;
BgL_creatsz00_399 = 
BGl_importzd2widezd2classzd2creatorszd2zzobject_creatorz00(BgL_classz00_6, BgL_srczd2defzd2_7, BgL_modulez00_8); 
BgL_predicatez00_400 = 
BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_classz00_6, BgL_srczd2defzd2_7, BgL_modulez00_8); 
{ /* ./Object/wide-access.scm 89 */
obj_t BgL_fieldsz00_401;
BgL_fieldsz00_401 = 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_classz00_6, 
(obj_t)(BgL_classz00_6), 
(obj_t)(BgL_classz00_6), BgL_srczd2defzd2_7); 
{ /* ./Object/wide-access.scm 91 */
obj_t BgL_virtualsz00_402;
{ /* ./Object/wide-access.scm 91 */
int BgL_nz00_621;
BgL_nz00_621 = 
(int)(((long)1)); 
BgL_virtualsz00_402 = 
BGL_MVALUES_VAL(BgL_nz00_621); } 
{ /* ./Object/wide-access.scm 91 */
obj_t BgL_superzd2fieldszd2_403;
{ /* ./Object/wide-access.scm 92 */
obj_t BgL_arg1958z00_410;
{ 
obj_t BgL_auxz00_754;
{ /* ./Object/wide-access.scm 92 */
BgL_objectz00_bglt BgL_auxz00_755;
BgL_auxz00_755 = 
(BgL_objectz00_bglt)(BgL_classz00_6); 
BgL_auxz00_754 = 
BGL_OBJECT_WIDENING(BgL_auxz00_755); } 
BgL_arg1958z00_410 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_754))->BgL_itszd2superzd2); } 
BgL_superzd2fieldszd2_403 = 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_classz00_6, BgL_arg1958z00_410, BFALSE, BgL_srczd2defzd2_7); } 
{ /* ./Object/wide-access.scm 93 */
obj_t BgL_superzd2virtualszd2_404;
{ /* ./Object/wide-access.scm 93 */
int BgL_nz00_623;
BgL_nz00_623 = 
(int)(((long)1)); 
BgL_superzd2virtualszd2_404 = 
BGL_MVALUES_VAL(BgL_nz00_623); } 
{ /* ./Object/wide-access.scm 93 */
obj_t BgL_val0_1894z00_405;obj_t BgL_val1_1895z00_406;
BgL_val0_1894z00_405 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_predicatez00_400, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_creatsz00_399, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_superzd2fieldszd2_403, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_fieldsz00_401, BNIL)))); 
BgL_val1_1895z00_406 = 
bgl_append2(BgL_superzd2virtualszd2_404, BgL_virtualsz00_402); 
{ /* ./Object/wide-access.scm 93 */
int BgL_nz00_624;
BgL_nz00_624 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_nz00_624); } 
{ /* ./Object/wide-access.scm 93 */
int BgL_nz00_625;
BgL_nz00_625 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_nz00_625, BgL_val1_1895z00_406); } 
return BgL_val0_1894z00_405;} } } } } } }  else 
{ /* ./Object/wide-access.scm 78 */
{ /* ./Object/wide-access.scm 95 */
int BgL_nz00_627;
BgL_nz00_627 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_nz00_627); } 
{ /* ./Object/wide-access.scm 95 */
int BgL_nz00_628;
BgL_nz00_628 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_nz00_628, BNIL); } 
return BNIL;} } } 
}



/* _import-wide-class-accessors!2229 */
obj_t BGl__importzd2widezd2classzd2accessorsz122229zc0zzobject_widezd2accesszd2(obj_t BgL_envz00_662, obj_t BgL_classzd2defzd2_663, obj_t BgL_classz00_664, obj_t BgL_srczd2defzd2_665, obj_t BgL_modulez00_666)
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 76 */
return 
BGl_importzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(BgL_classzd2defzd2_663, 
(BgL_tclassz00_bglt)(BgL_classz00_664), BgL_srczd2defzd2_665, BgL_modulez00_666);} 
}



/* heap-wide-class-accessors! */
BGL_EXPORTED_DEF obj_t BGl_heapzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(BgL_tclassz00_bglt BgL_classz00_9)
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 100 */
{ /* ./Object/wide-access.scm 101 */
obj_t BgL_srczd2defzd2_413;
BgL_srczd2defzd2_413 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./Object/wide-access.scm 106 */
obj_t BgL_fieldsz00_415;
BgL_fieldsz00_415 = 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_classz00_9, 
(obj_t)(BgL_classz00_9), BFALSE, BgL_srczd2defzd2_413); 
{ /* ./Object/wide-access.scm 108 */
obj_t BgL_virtualsz00_416;
{ /* ./Object/wide-access.scm 108 */
int BgL_nz00_630;
BgL_nz00_630 = 
(int)(((long)1)); 
BgL_virtualsz00_416 = 
BGL_MVALUES_VAL(BgL_nz00_630); } 
{ /* ./Object/wide-access.scm 108 */
obj_t BgL_superzd2fieldszd2_417;
{ /* ./Object/wide-access.scm 109 */
obj_t BgL_arg1974z00_421;
{ 
obj_t BgL_auxz00_782;
{ /* ./Object/wide-access.scm 109 */
BgL_objectz00_bglt BgL_auxz00_783;
BgL_auxz00_783 = 
(BgL_objectz00_bglt)(BgL_classz00_9); 
BgL_auxz00_782 = 
BGL_OBJECT_WIDENING(BgL_auxz00_783); } 
BgL_arg1974z00_421 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_782))->BgL_itszd2superzd2); } 
BgL_superzd2fieldszd2_417 = 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_classz00_9, BgL_arg1974z00_421, BFALSE, BgL_srczd2defzd2_413); } 
{ /* ./Object/wide-access.scm 110 */
obj_t BgL_superzd2virtualszd2_418;
{ /* ./Object/wide-access.scm 110 */
int BgL_nz00_632;
BgL_nz00_632 = 
(int)(((long)1)); 
BgL_superzd2virtualszd2_418 = 
BGL_MVALUES_VAL(BgL_nz00_632); } 
{ /* ./Object/wide-access.scm 110 */
obj_t BgL_val0_1900z00_419;obj_t BgL_val1_1901z00_420;
BgL_val0_1900z00_419 = 
bgl_append2(BgL_superzd2fieldszd2_417, BgL_fieldsz00_415); 
BgL_val1_1901z00_420 = 
bgl_append2(BgL_superzd2virtualszd2_418, BgL_virtualsz00_416); 
{ /* ./Object/wide-access.scm 110 */
int BgL_nz00_633;
BgL_nz00_633 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_nz00_633); } 
{ /* ./Object/wide-access.scm 110 */
int BgL_nz00_634;
BgL_nz00_634 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_nz00_634, BgL_val1_1901z00_420); } 
return BgL_val0_1900z00_419;} } } } } } } 
}



/* _heap-wide-class-accessors!2231 */
obj_t BGl__heapzd2widezd2classzd2accessorsz122231zc0zzobject_widezd2accesszd2(obj_t BgL_envz00_667, obj_t BgL_classz00_668)
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 100 */
return 
BGl_heapzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(
(BgL_tclassz00_bglt)(BgL_classz00_668));} 
}



/* set-wide-class-slots! */
obj_t BGl_setzd2widezd2classzd2slotsz12zc0zzobject_widezd2accesszd2(obj_t BgL_classzd2defzd2_10, obj_t BgL_srczd2defzd2_11, BgL_tclassz00_bglt BgL_classz00_12)
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 119 */
{ /* ./Object/wide-access.scm 120 */
obj_t BgL_superz00_422;
{ /* ./Object/wide-access.scm 120 */
obj_t BgL_superz00_428;
{ 
obj_t BgL_auxz00_798;
{ /* ./Object/wide-access.scm 120 */
BgL_objectz00_bglt BgL_auxz00_799;
BgL_auxz00_799 = 
(BgL_objectz00_bglt)(BgL_classz00_12); 
BgL_auxz00_798 = 
BGL_OBJECT_WIDENING(BgL_auxz00_799); } 
BgL_superz00_428 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_798))->BgL_itszd2superzd2); } 
{ /* ./Object/wide-access.scm 121 */
bool_t BgL_testz00_803;
{ /* ./Object/wide-access.scm 121 */
obj_t BgL_auxz00_804;
BgL_auxz00_804 = 
(obj_t)(BgL_classz00_12); 
BgL_testz00_803 = 
(BgL_superz00_428==BgL_auxz00_804); } 
if(BgL_testz00_803)
{ /* ./Object/wide-access.scm 121 */
BgL_superz00_422 = BFALSE; }  else 
{ /* ./Object/wide-access.scm 121 */
BgL_superz00_422 = BgL_superz00_428; } } } 
{ /* ./Object/wide-access.scm 120 */
obj_t BgL_superzd2vnumzd2_423;
{ /* ./Object/wide-access.scm 124 */
bool_t BgL_test1984z00_427;
BgL_test1984z00_427 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_422, BGl_tclassz00zzobject_classz00); 
if(BgL_test1984z00_427)
{ /* ./Object/wide-access.scm 125 */
BgL_tclassz00_bglt BgL_obj1623z00_638;
BgL_obj1623z00_638 = 
(BgL_tclassz00_bglt)(BgL_superz00_422); 
{ 
obj_t BgL_auxz00_810;
{ /* ./Object/wide-access.scm 125 */
BgL_objectz00_bglt BgL_auxz00_811;
BgL_auxz00_811 = 
(BgL_objectz00_bglt)(BgL_obj1623z00_638); 
BgL_auxz00_810 = 
BGL_OBJECT_WIDENING(BgL_auxz00_811); } 
BgL_superzd2vnumzd2_423 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_810))->BgL_virtualzd2slotszd2numberz00); } }  else 
{ /* ./Object/wide-access.scm 124 */
BgL_superzd2vnumzd2_423 = 
BINT(((long)0)); } } 
{ /* ./Object/wide-access.scm 124 */
obj_t BgL_slotsz00_424;
{ /* ./Object/wide-access.scm 127 */
obj_t BgL_auxz00_816;
BgL_auxz00_816 = 
CDR(BgL_classzd2defzd2_10); 
BgL_slotsz00_424 = 
CDR(BgL_auxz00_816); } 
{ /* ./Object/wide-access.scm 127 */

{ /* ./Object/wide-access.scm 131 */
obj_t BgL_cslotsz00_425;
BgL_cslotsz00_425 = 
BGl_makezd2classzd2slotsz00zzobject_slotsz00(BgL_classz00_12, BgL_slotsz00_424, BFALSE, 
CINT(BgL_superzd2vnumzd2_423), BgL_srczd2defzd2_11); 
{ /* ./Object/wide-access.scm 131 */
obj_t BgL_localzd2vnumzd2_426;
BgL_localzd2vnumzd2_426 = 
BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00(BgL_classz00_12, BgL_cslotsz00_425); 
{ /* ./Object/wide-access.scm 132 */

{ /* ./Object/wide-access.scm 134 */
obj_t BgL_val1624z00_644;
BgL_val1624z00_644 = BgL_localzd2vnumzd2_426; 
{ 
obj_t BgL_auxz00_822;
{ /* ./Object/wide-access.scm 134 */
BgL_objectz00_bglt BgL_auxz00_823;
BgL_auxz00_823 = 
(BgL_objectz00_bglt)(BgL_classz00_12); 
BgL_auxz00_822 = 
BGL_OBJECT_WIDENING(BgL_auxz00_823); } 
((((BgL_tclassz00_bglt)CREF(BgL_auxz00_822))->BgL_virtualzd2slotszd2numberz00) = ((obj_t)BgL_val1624z00_644), BUNSPEC); } } 
{ /* ./Object/wide-access.scm 136 */
obj_t BgL_val1613z00_646;
BgL_val1613z00_646 = BgL_cslotsz00_425; 
{ 
obj_t BgL_auxz00_827;
{ /* ./Object/wide-access.scm 136 */
BgL_objectz00_bglt BgL_auxz00_828;
BgL_auxz00_828 = 
(BgL_objectz00_bglt)(BgL_classz00_12); 
BgL_auxz00_827 = 
BGL_OBJECT_WIDENING(BgL_auxz00_828); } 
return 
((((BgL_tclassz00_bglt)CREF(BgL_auxz00_827))->BgL_slotsz00) = ((obj_t)BgL_val1613z00_646), BUNSPEC);} } } } } } } } } } 
}



/* correct-wide-class? */
obj_t BGl_correctzd2widezd2classzf3zf3zzobject_widezd2accesszd2(BgL_tclassz00_bglt BgL_classz00_13, obj_t BgL_srczd2defzd2_14)
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 145 */
{ /* ./Object/wide-access.scm 146 */
obj_t BgL_superz00_430;
{ 
obj_t BgL_auxz00_832;
{ /* ./Object/wide-access.scm 146 */
BgL_objectz00_bglt BgL_auxz00_833;
BgL_auxz00_833 = 
(BgL_objectz00_bglt)(BgL_classz00_13); 
BgL_auxz00_832 = 
BGL_OBJECT_WIDENING(BgL_auxz00_833); } 
BgL_superz00_430 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_832))->BgL_itszd2superzd2); } 
{ /* ./Object/wide-access.scm 146 */
obj_t BgL_classzd2idzd2_431;
{ /* ./Object/wide-access.scm 147 */
BgL_typez00_bglt BgL_obj1003z00_648;
BgL_obj1003z00_648 = 
(BgL_typez00_bglt)(BgL_classz00_13); 
BgL_classzd2idzd2_431 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_648))->BgL_idz00); } 
{ /* ./Object/wide-access.scm 147 */

{ /* ./Object/wide-access.scm 151 */
bool_t BgL_test1990z00_432;
{ /* ./Object/wide-access.scm 151 */
bool_t BgL_test2049z00_456;
BgL_test2049z00_456 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_430, BGl_typez00zztype_typez00); 
if(BgL_test2049z00_456)
{ /* ./Object/wide-access.scm 151 */
bool_t BgL_test2050z00_457;
BgL_test2050z00_457 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_430, BGl_tclassz00zzobject_classz00); 
if(BgL_test2050z00_457)
{ /* ./Object/wide-access.scm 151 */
BgL_test1990z00_432 = ((bool_t)0); }  else 
{ /* ./Object/wide-access.scm 151 */
BgL_test1990z00_432 = ((bool_t)1); } }  else 
{ /* ./Object/wide-access.scm 151 */
BgL_test1990z00_432 = ((bool_t)0); } } 
if(BgL_test1990z00_432)
{ /* ./Object/wide-access.scm 151 */
{ /* ./Object/wide-access.scm 152 */
obj_t BgL_arg1993z00_433;obj_t BgL_arg1994z00_434;
{ /* ./Object/wide-access.scm 152 */
BgL_typez00_bglt BgL_obj1003z00_651;
BgL_obj1003z00_651 = 
(BgL_typez00_bglt)(BgL_superz00_430); 
BgL_arg1993z00_433 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_651))->BgL_idz00); } 
{ /* ./Object/wide-access.scm 153 */
obj_t BgL_arg2001z00_437;
BgL_arg2001z00_437 = 
SYMBOL_TO_STRING(BgL_classzd2idzd2_431); 
BgL_arg1994z00_434 = 
string_append_3(BGl_string2296z00zzobject_widezd2accesszd2, BgL_arg2001z00_437, BGl_string2297z00zzobject_widezd2accesszd2); } 
{ /* ./Object/wide-access.scm 152 */
obj_t BgL_list1996z00_435;
BgL_list1996z00_435 = 
MAKE_PAIR(BGl_typez00zztype_typez00, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_arg1993z00_433, BgL_arg1994z00_434, BgL_srczd2defzd2_14, BgL_list1996z00_435);} } }  else 
{ /* ./Object/wide-access.scm 158 */
bool_t BgL_test2005z00_439;
BgL_test2005z00_439 = 
BGl_widezd2classzf3z21zzobject_classz00(
(obj_t)(BgL_classz00_13)); 
if(BgL_test2005z00_439)
{ /* ./Object/wide-access.scm 164 */
bool_t BgL_test2007z00_440;
BgL_test2007z00_440 = 
BGl_widezd2classzf3z21zzobject_classz00(BgL_superz00_430); 
if(BgL_test2007z00_440)
{ /* ./Object/wide-access.scm 164 */
{ /* ./Object/wide-access.scm 166 */
obj_t BgL_arg2010z00_441;obj_t BgL_arg2011z00_442;
{ /* ./Object/wide-access.scm 166 */
BgL_typez00_bglt BgL_obj1003z00_653;
BgL_obj1003z00_653 = 
(BgL_typez00_bglt)(BgL_superz00_430); 
BgL_arg2010z00_441 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_653))->BgL_idz00); } 
{ /* ./Object/wide-access.scm 167 */
obj_t BgL_arg2019z00_445;
BgL_arg2019z00_445 = 
SYMBOL_TO_STRING(BgL_classzd2idzd2_431); 
BgL_arg2011z00_442 = 
string_append_3(BGl_string2296z00zzobject_widezd2accesszd2, BgL_arg2019z00_445, BGl_string2298z00zzobject_widezd2accesszd2); } 
{ /* ./Object/wide-access.scm 166 */
obj_t BgL_list2013z00_443;
BgL_list2013z00_443 = 
MAKE_PAIR(BGl_typez00zztype_typez00, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_arg2010z00_441, BgL_arg2011z00_442, BgL_srczd2defzd2_14, BgL_list2013z00_443);} } }  else 
{ /* ./Object/wide-access.scm 172 */
bool_t BgL_test2024z00_447;
BgL_test2024z00_447 = 
BGl_finalzd2classzf3z21zzobject_classz00(BgL_superz00_430); 
if(BgL_test2024z00_447)
{ /* ./Object/wide-access.scm 180 */
bool_t BgL_test2025z00_448;
BgL_test2025z00_448 = 
BGl_finalzd2classzf3z21zzobject_classz00(
(obj_t)(BgL_classz00_13)); 
if(BgL_test2025z00_448)
{ /* ./Object/wide-access.scm 180 */
{ /* ./Object/wide-access.scm 182 */
obj_t BgL_list2027z00_449;
BgL_list2027z00_449 = 
MAKE_PAIR(BGl_typez00zztype_typez00, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_classzd2idzd2_431, BGl_string2299z00zzobject_widezd2accesszd2, BgL_srczd2defzd2_14, BgL_list2027z00_449);} }  else 
{ /* ./Object/wide-access.scm 180 */
return BTRUE;} }  else 
{ /* ./Object/wide-access.scm 172 */
{ /* ./Object/wide-access.scm 174 */
obj_t BgL_arg2032z00_450;obj_t BgL_arg2033z00_451;
{ /* ./Object/wide-access.scm 174 */
BgL_typez00_bglt BgL_obj1003z00_655;
BgL_obj1003z00_655 = 
(BgL_typez00_bglt)(BgL_superz00_430); 
BgL_arg2032z00_450 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_655))->BgL_idz00); } 
{ /* ./Object/wide-access.scm 175 */
obj_t BgL_arg2041z00_454;
BgL_arg2041z00_454 = 
SYMBOL_TO_STRING(BgL_classzd2idzd2_431); 
BgL_arg2033z00_451 = 
string_append_3(BGl_string2300z00zzobject_widezd2accesszd2, BgL_arg2041z00_454, BGl_string2301z00zzobject_widezd2accesszd2); } 
{ /* ./Object/wide-access.scm 174 */
obj_t BgL_list2035z00_452;
BgL_list2035z00_452 = 
MAKE_PAIR(BGl_typez00zztype_typez00, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_arg2032z00_450, BgL_arg2033z00_451, BgL_srczd2defzd2_14, BgL_list2035z00_452);} } } } }  else 
{ /* ./Object/wide-access.scm 158 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string2302z00zzobject_widezd2accesszd2, BGl_string2303z00zzobject_widezd2accesszd2, BgL_srczd2defzd2_14);} } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzobject_widezd2accesszd2()
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 21 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzobject_widezd2accesszd2()
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 21 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)64117), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zztype_toolsz00(((long)15091), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)25848), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzast_privatez00(((long)8704), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)30791), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_structz00(((long)41062), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long)44183), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long)58597), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_getterz00(((long)33088), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_creatorz00(((long)1891), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_predicatez00(((long)48253), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_coercionz00(((long)14986), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long)12782), "object_wide-access"); 
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "object_wide-access");} 
}

